petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetLocalSection

Get the PetscSection encoding the local data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLocalSection(DM dm, PetscSection *section)

### Input Parameter

dm -The DM

### Output Parameter

section -The PetscSection

### Options Database Keys

-dm_petscsection_view -View the Section created by the DM

Note: This gets a borrowed reference, so the user should not destroy this PetscSection.

### See Also

DMSetLocalSection(), DMGetGlobalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages